"use strict";

// Extends moleculer error
const MoleculerError = require('moleculer');

// Errors types
const types = {
	entityExists: {
		type: "SPIRITS_ENTITY_EXIST",
		message: "The entity that you try to save almost exists on Spirits"
	}
};

class EntityExistsError extends MoleculerError {

	/**
	 * Creates an entity exists error.
	 * 
	 * @param {*} data Conditions.
	 */
	constructor(data) {
		const type = types.entityExists;
		super(type.message, 409, type.type, data);
	}
}

module.exports = {
	EntityExistsError
};
